Gets specific Product Replenishment Method by unique id
Gets specific Product Replenishment Method by unique id
Path Parameters
Product Replenishment Method id
Example:10
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Replenishment Method
ProductReplenishmentMethod
Product Replenishment Method Id.
Product Replenishment Method code.
Product Replenishment Method name.
Path Parameters
Headers
products
Searches Products by parameters
Searches Products by parameters
Query Parameters
Product Id. Other properties are skipped, if used
Search. If used, other properties are skipped, except outlet_id and disabled
Sales Channel Id
Include inventory
PO Supplier Code
Order by.
Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled,
long_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc,
promotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth,
shipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id, export_to_web,
last_sold_on, last_fulfiled_on, external_link:name, fixed_price_group:id, price_group_sell_price_inc:id, price_group_web_price_inc:id, created_since, modified_since
Available direction values: asc, desc.
Example: id asc, supplier_sku desc , external_link:ExternalURL2 desc
Filter by.
Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex,
size, colour, brand, season, core_product, disabled, enabled_supplier, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code,
export_to_web, loyalty_ratio, voucher_product, requires_assembly, created_on, modified_on, sales_channel:id, long_description, custom1, custom2, custom3, buy_price_ex, direct_costs_ex,
markup_target, sell_price_inc, promotional_price_inc, promotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity,
length, depth, breadth, shipping_cubic, weight, prevent_disabling, last_sold_on, last_fulfiled_on, url, fixed_price_group:id, price_group_sell_price_inc:id, price_group_web_price_inc:id,require_serial_number
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123,external_link:ExternalURL2:eq:http…
Supplier SKU.
>= 0 characters<= 50 characters
Manufacturer SKU.
>= 0 characters<= 50 characters
Supplier or Collection of Suppliers (comma separated)
Example: Supplier1,Supplier2,Supplier3
Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)
>= 3 characters
Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true.
Created since
Modified since
Disabled
Product Type Id or Collection of Product Type Ids (comma separated)
Example: 1,5,7
Allows to search by description parts
Outlet Id
Filters products based on them being in stock
Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)
>= 3 characters
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Products data
Product.PagingResponse
Product Model
Show Child Parameters
Query Parameters
Headers
Creates products
Sample request:
POST /products
[
{
"carton_quantity":"1",
"cogs_ex":11.1,
"cubic":20.2,
"direct_costs_ex":1.1,
"prevent_disabling":false,
"promotional_price_inc":1.1,
"promotional_price_expiry":"2021-12-12T00:00:00",
"freight_inc":1.1,
"rrp_inc":1.1,
"sell_price_inc":1.1,
"web_price_inc":1.1,
"breadth":1.1,
"core_product":false,
"custom_properties": [
{
"Name": "Custom1",
"Value": "Value1"
},
{
"Name": "Custom2",
"Value": "Value2"
}
],
"depth":1.1,
"disabled":false,
"lead_time":12,
"length":1.1,
"loyalty_ratio":1.1,
"manufacturer_sku":"UniqueManufacturerSku",
"product_type":{
"id":3
},
"requires_assembly":false,
"require_serial_number":1,
"shipping_cubic":1.1,
"short_description":"ShortDescription",
"supplier":{
"supplier_code":"00"
},
"supplier_buy_ex":1.1,
"supplier_sku":"SupplierSKU1",
"supplier_sku2":"SupplierSKU2",
"weight":1.1,
"buy_price_ex" : 0.0000,
"attributes":[
{
"value":{
"id":1
},
"id":3
}
],
"long_description": "sample text",
"voucher_product" : false,
"max_discount_rule":{
"id": 1
},
"replenishment_method": {
"id": 1
},
"sales_channels":[
{
"id": 1,
"source_group":
{
"id": 1
},
"enabled": true
}],
"export_to_web": false,
"external_links": [
{
"id": 0,
"name": "ExternalURL1",
"url": "https://test1.com"
},
{
"id": 0,
"name": "ExternalURL2",
"url": "https://test2.com"
},
{
"id": 0,
"name": "ExternalImageURL",
"url": "https://test3.com"
}
],
"fixed_price_groups": [
{
"id": 1,
"price_inc": 15.5
},
{
"id": 2,
"price_inc": 35
},
{
"id": 3,
"price_inc": 25
}
]
}
]
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Products to be created
EmptyExample
Response
application/json
Response
Products created
Product Model
Carton quantity
Cogs ex
Cubic
Direct costs
Is product disabled
Discount price
Discount price expiry
Freight inc
Price ex
Rpr inc
Sell Price, cannot be used along with markup_target
>= -922337203685477.6<= 922337203685477.6
Web price
Markup Target %, cannot be used along with sell_price_inc
Breadth
>= -9999.9999<= 9999.9999
Is core product flag
Custom Property Model
Show Child Parameters
Depth
>= -9999.9999<= 9999.9999
Disabled
Product id.
Lead time
Length
>= -9999.9999<= 9999.9999
Loyalty Ratio
Manufacture SKU
Product Type Model
Show Child Parameters
Requires Assembly
Shipping Cubic
>= -999999.9999<= 999999.9999
Product description.
Show Child Parameters
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU.
Supplier SKU2.
Weight
>= -99999999.9999<= 99999999.9999
Buy price ex
Long description
Voucher product
Max Discount Rule Model
Show Child Parameters
Show Child Parameters
Product attributes
Show Child Parameters
Created on
Modified on
Product Inventory Model
Show Child Parameters
Product Sales Chanels
Show Child Parameters
Export To Web
Package
Has Package Products
Last Processed Sold
Require SerialNumber
Last Fulfiled
Product External Links
Show Child Parameters
Product Fixed Price Groups
Show Child Parameters
Product Standart Price Groups
Show Child Parameters
Headers
Body
Gets specific Product by unique id
Gets specific Product by unique id
Path Parameters
Product id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product
Product
Product Model
Carton quantity
Cogs ex
Cubic
Direct costs
Is product disabled
Discount price
Discount price expiry
Freight inc
Price ex
Rpr inc
Sell Price, cannot be used along with markup_target
>= -922337203685477.6<= 922337203685477.6
Web price
Markup Target %, cannot be used along with sell_price_inc
Breadth
>= -9999.9999<= 9999.9999
Is core product flag
Custom Property Model
Show Child Parameters
Depth
>= -9999.9999<= 9999.9999
Disabled
Product id.
Lead time
Length
>= -9999.9999<= 9999.9999
Loyalty Ratio
Manufacture SKU
Product Type Model
Show Child Parameters
Requires Assembly
Shipping Cubic
>= -999999.9999<= 999999.9999
Product description.
Show Child Parameters
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU.
Supplier SKU2.
Weight
>= -99999999.9999<= 99999999.9999
Buy price ex
Long description
Voucher product
Max Discount Rule Model
Show Child Parameters
Show Child Parameters
Product attributes
Show Child Parameters
Created on
Modified on
Product Inventory Model
Show Child Parameters
Product Sales Chanels
Show Child Parameters
Export To Web
Package
Has Package Products
Last Processed Sold
Require SerialNumber
Last Fulfiled
Product External Links
Show Child Parameters
Product Fixed Price Groups
Show Child Parameters
Product Standart Price Groups